# $Revision: 1.4 $, $Date: 2002/09/26 13:43:25 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	GPG
Summary:	Crypt::GPG Perl module - an Object Oriented interface to GnuPG
Summary(pl):	Modu Perla Crypt::GPG - obiektowo zorientowany interfejs do GnuPG
Name:		perl-Crypt-GPG
Version:	1.40
Release:	1
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Expect >= 1.15
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-TimeDate
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Crypt::GPG module provides near complete access to GnuPG
functionality through an object oriented interface. It provides
methods for encryption, decryption, signing, signature verification,
key generation, key export and import, and most other key management
functions. This module works almost identically to its cousin,
Crypt::PGP5. The two modules together provide a uniform interface to
deal with both PGP and GnuPG. Eventually, these modules will be folded
into a single module which will interface with GnuPG as well as all
versions of PGP.
				    
%description -l pl
Modu Crypt::GPG daje prawie cakowity dostp do funkcjonalnoci GnuPG
poprzez zorientowany obiektowo interfejs. Udostpnia metody do
szyfrowania, odszyfrowywania, podpisywania, weryfikacji podpisw,
generowania kluczy, eksportowania i importowania kluczy oraz wielu
innych funkcji zwizanych z zarzdzaniem kluczami. Ten modu dziaa
prawie identycznie jak jego kuzyn, Crypt::PGP5. Oba moduy razem daj
jednolity interfejs do obsugi PGP i GnuPG. By moe te zostan one
poczone w jeden modu, bdcy interfejsem jednoczenie do GnuPG i
wszystkich wersji PGP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
# test disabled by default - it calls gpg, creates keyring etc.
%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc TODO
%{perl_sitelib}/Crypt/GPG.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-GPG.spec,v $
Revision 1.4  2002/09/26 13:43:25  ankry
- fixed BR

Revision 1.3  2002/09/26 13:38:20  ankry
- version 1.40

Revision 1.2  2002/08/07 10:56:29  radek
- removed README, it's the same as man page

Revision 1.1  2002/07/29 22:33:53  qboosh
- new
